Bug Hunting Session
Bug 83667 - AutoFormat is not automatically applied to newly inserted / adjusted (via deletion) table rows
Summary: AutoFormat is not automatically applied to newly inserted / adjusted (via del...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.1.2 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 92236 (view as bug list)
Depends on:
Blocks: Table-AutoFormat
  Show dependency treegraph
 
Reported: 2014-09-09 13:04 UTC by dx486107
Modified: 2017-10-17 23:08 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dx486107 2014-09-09 13:04:42 UTC
To use a new autoformat style in Write I can create it using Calc, but Write does not follow the pattern I try to create.

For example:

1. Open Libreoffice Calc
2. Make following changes:

1st Row: Background color black, Font color White
2nd Row: Background color gray
3rd Row: Background color white
4th Row: Background color gray
5th Row: Background color white

3. Click Format - Autoformatting, and Add a new Autoformatting style.

4. Open Libreoffice Write
5. Create a Table with at least 5 rows
6. Use Autoformatting you have just added
7. Add a new line anywhere in your table

Background color will not be correctly applied to new row. (It should follow gray-white-gray-white pattern)

In addition, I could not find a way to save alignment of cell in the autoformat style.
Comment 1 Owen Genat (retired) 2014-09-14 12:04:46 UTC
This appears to relate to both Calc and Writer. After a defined AutoFormat is applied, any subsequent insertion / deletion of rows results in the AutoFormat definition needing to be re-applied. 

Confirmed under GNU/Linux using v4.3.1.2. Status set to NEW. Platform set to All/All. Severity set to enhancement. Summary amended for clarity.
Comment 2 Buovjaga 2015-12-30 18:24:03 UTC
*** Bug 92236 has been marked as a duplicate of this bug. ***
Comment 3 Buovjaga 2015-12-30 18:24:56 UTC
Please note bug 92236.
This behavior is also seen whenever applying the style to a table with even rows. So not only when inserting & deleting rows.
Comment 4 Axel Bock 2016-01-01 13:51:47 UTC
It seems this is actually intentional, in the way that LO assumes that every table has a separately formatted bottom row (the "sum" row I call it, cause in all the previews it's labeled "sum" :). 

This makes sense if the row _is_ actually there, but LO has no way of actually knowing or determining that this is the case for the table which is about to be formatted. 

a possible "fix" is a dialog which opens when you hit "auto format", which has  a check box which says "separately formatted bottom row" (or "sum row" or anything similar), given LO wants to keep the ability to color the last row separately.

the same would apply for the header row, but it is more safe to assume that this one is always present ...

all this aside, as a general observation I think the table handling in LO can be improved in a *LOT* of ways, with this being a pretty useful step in the process.
Comment 5 Buovjaga 2016-01-01 21:40:15 UTC
(In reply to Axel Bock from comment #4)
> all this aside, as a general observation I think the table handling in LO
> can be improved in a *LOT* of ways, with this being a pretty useful step in
> the process.

If you have ideas about improving it, you could work with the design team: https://wiki.documentfoundation.org/Design
You can contact them on IRC or post a proposal to the mailing list.